Bug 480372 - gnome-power-manager shows "(nan%)"
gnome-power-manager shows "(nan%)"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 13:28 EST by Horst H. von Brand
Modified: 2009-07-06 11:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-06 11:46:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2009-01-16 13:28:15 EST
Description of problem:
Just now, it shows "Laptop battery fully charged (nan%)". When I had the machine on battery and wanted to check how much was left, it also told me "(nan%)", which is less than useful.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.25.2-1.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Place mouse on battery applet
2.
3.
  
Actual results:
".... (nan%)"

Expected results:
A real number...

Additional info:
It seems not to know how much battery is left, so it can't warn on low. Haven't checked really.
Comment 1 Richard Hughes 2009-03-27 10:04:08 EDT
can you get the output from "devkit-power --dump" when it shows NaN please. Thanks.
Comment 2 Richard Hughes 2009-06-03 04:01:20 EDT
Can you try installing https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5740 and https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5728 and then reboot please. If it fixes things, please report that as positive karma for the update. Thanks.
Comment 3 Bug Zapper 2009-06-09 06:45:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Horst H. von Brand 2009-07-06 11:46:40 EDT
gnome-power-manager-2.27.2-0.2.20090616git.fc12.x86_64

The problem went away in between.

Note You need to log in before you can comment on or make changes to this bug.